Last Comment Bug 778263 - JavaScript Error: "Error selecting word: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsISelectionController.wordMove]" nsresult: "0x80004005 (NS_ERROR_FAILURE)" location: "JS frame :: chrome://b
: JavaScript Error: "Error selecting word: [Exception... "Component returned fa...
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Text Selection (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 17
Assigned To: :Margaret Leibovic
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 13:05 PDT by Aaron Train [:aaronmt]
Modified: 2013-12-10 10:01 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
verified


Attachments
patch (2.31 KB, patch)
2012-08-07 11:22 PDT, :Margaret Leibovic
mark.finkle: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Aaron Train [:aaronmt] 2012-07-27 13:05:00 PDT
E/GeckoConsole(10402): [JavaScript Error: "Error selecting word: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsISelectionController.wordMove]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://browser/content/browser.js :: sh_startSelection :: line 1666"  data: no]" {file: "chrome://browser/content/browser.js" line: 1672}]
Comment 1 Aaron Train [:aaronmt] 2012-07-27 13:05:56 PDT
I've seen this one in my log before when using text-selection on pages. You can reproduce this by long-tap holding in content on about:logo.
Comment 2 :Margaret Leibovic 2012-07-27 13:40:34 PDT
Hm, this is an error we're catching ourselves, so it shouldn't lead to other failures, but I can look into why this is happening.

Also, I just noticed that we don't properly clean up after ourselves if we bail in startSelection. We should fix that.
Comment 3 :Margaret Leibovic 2012-08-07 11:22:25 PDT
Created attachment 649712 [details] [diff] [review]
patch

Logging this error is pretty useless, but we should make sure we clean up after ourselves if we're bailing in startSelection. This patch takes care of that.
Comment 5 Ed Morley [:emorley] 2012-08-08 09:31:18 PDT
https://hg.mozilla.org/mozilla-central/rev/7047de4a90f2
Comment 6 Aaron Train [:aaronmt] 2012-08-09 12:23:36 PDT
Channel nomination?
Comment 7 :Margaret Leibovic 2012-08-09 14:22:23 PDT
Comment on attachment 649712 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 695173 (text selection)
User impact if declined: logging a useless error isn't really a big deal, but without cleaning up properly, we can fail to remove the pagehide listener, which may cause issues
Testing completed (on m-c, etc.): landed on m-c 8/8
Risk to taking this patch (and alternatives if risky): low-risk, adds code to clean up state of SelectionHandler when we fail to start a selection
String or UUID changes made by this patch: n/a
Comment 8 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-10 11:59:05 PDT
Comment on attachment 649712 [details] [diff] [review]
patch

Small patch, low risk, wouldn't normally be a candidate for uplift but it's good to clean up the unused errors so approving for branches.

Note You need to log in before you can comment on or make changes to this bug.